import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:mypoint_flutter_app/splash_screen/splash_screen.dart';
import 'onboading/onboarding_screen.dart';
import 'onboading/onboarding_viewmodel.dart';

void main() {
  Get.put(OnboardingViewModel());
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    return GetMaterialApp(
      debugShowCheckedModeBanner: false,
      theme: ThemeData(
        colorScheme: ColorScheme.fromSwatch(primarySwatch: Colors.deepPurple),
        primaryColor: Colors.deepPurple,
      ),
      home: OnboardingScreen(), //SplashScreen(),
    );
  }
}


